<!DOCTYPE html>
<html>
<head xmlns:th="http://www.thymeleaf.org">
<meta charset="ISO-8859-1">
<title>Terminal Report</title>

<!-- CSS LIBRARY -->
<link rel="stylesheet" type="text/css" href="../../Content/dataTables/dataTables.bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="../../Content/dataTables/buttons.bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="../../Content/dataTables/select.bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="../../Content/dataTables/jquery.dataTables.min.css">
<link rel="stylesheet" type="text/css" href="../../Content/bootstrap/bootstrap.min.css">

<!-- JAVASCRIPT LIBRARY -->
<script type="text/javascript" src="../../Scripts/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../Scripts/datatables/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="../../Scripts/dataTables/dataTables.buttons.min.js"></script>
<script type="text/javascript" src="../../Scripts/dataTables/dataTables.select.min.js"></script>
<script type="text/javascript" src="../../Scripts/dataTables/dataTables.bootstrap.min.js"></script>
<script type="text/javascript" src="../../Scripts/dataTables/buttons.bootstrap.min.js"></script>
</head>
<!-- <body style="background-image: url('../../Images/img/desk-1081708_1920.jpg');">
 -->
 
<style>

	#terminalTable tbody .selected {
	    background: #007bff;;
	    color: white;
	    font-weight: bold;
	}
	
 	td {
		padding-bottom: 5px;
	}
</style>
 
 <body style="background-color: #EFEFEF; " >
	<!-- ----------------------- -->
	<!--		 HEADER			 -->
	<!-- ----------------------- -->
<!-- 	<th:block th:include="_header"></th:block>
 -->
 
 <th:block th:include="_navbar"></th:block>
 
	<div class="container">
		
		<!-- ---------------------- -->
		<!-- 	  SEARCH TABLE 	  	-->
		<!-- ---------------------- -->
		<div class="container-search" style=" margin: 0 auto; margin: 20px 0px 20px 0px;" >
			<form>
				<table style="width: 100%; ">
					<tr>
						<td><label for="clientCode"> 企業コード </label></td>
						<td><input type="text" id="clientCode" style="width: 85%; " class="form-control"/></td>
						<td><label for="shopId"> 店舗ID </label></td>
						<td><input type="text" id="shopId" style="width: 85%; " class="form-control"/></td></td>
					</tr>
					<tr>
						<td><label for="mtid"> MITD </label></td>
						<td><input type="text" id="mtid" style="width: 85%; " class="form-control"/></td>
						<td><label for="creditTid"> クレジットTID </label></td>
						<td><input type="text" id="creditTid" style="width: 85%; " class="form-control"/></td></td>
					</tr>
					<tr>
						<td><label for="status"> レコード状態 </label></td>
						<td>
							<select id="status" class="browser-default custom-select" 
									style="width: 100px; ">
								<option></option>
								<option value="0"> 無効 </option>
								<option value="1"> 有効 </option>
							</select>
						</td>
						<td><label for="terminalModel"> POS接続方式 </label></td>
						<td>
							<select id="terminalModel" class="browser-default custom-select" style="width: 100px;">
								<option value="P400"> P400 </option>
								<option value="V200c"> V200c </option>
								<option value="V400m"> V400m </option>
							</select>
						</td>
					</tr>
					<tr>
						<td><label for="posModel"> 機種名 </label></td>
						<td>
							<select id="posModel" class="browser-default custom-select" style="width: 200px;">
								<option></option>
								<option value="0"> スタンダード、 </option>
								<option value="2"> シンプル、 </option>
								<option value="99"> スタンドアローン </option>
							</select>
						</td>
						<td><label for="service"> 利用サービス </label></td>
						<td>
							<select id="service" class="browser-default custom-select" style="width: 200px;">
								<option></option>
								<option value="Credit"> Credit </option>
								<option value="CUP"> CUP </option>
								<option value="Suica"> Suica </option>
								<option value="QUICPay">QUICPay</option>
								<option value="WAON">WAON</option>
								<option value="nanaco">nanaco</option>
								<option value="Edy">Edy</option>
								<option value="iD">iD</option>
								<option value="HousePoint">HousePoint</option>
								<option value="HousePrepaid">HousePrepaid</option>
								<option value="TPoint">TPoint</option>
								<option value="Device">Device</option>
								<option value="QRPay">QRPay</option>
							</select>
							<button type="button" class="btn btn-primary" id="btn-search" style="width: 60px; margin-left: 30px; " > 検索 </button>
						</td>
					</tr>
					<!-- <tr>
						<td><button type="button" id="btn-search"> 検索 </button></td>
					</tr> -->
				</table>
			</form>
		</div>
		
		<button id="btn-add" class="btn btn-primary"
				style="float: right; width: 200px; margin-right: 10px; 
				border-radius: 15px; border-style: groove; 
				margin-bottom: 10px; " > 新規登録 </button>
		
		<!-- ---------------------- -->
		<!-- 	  MAIN TABLE 	  	-->
		<!-- ---------------------- -->
		<div class="container-table">
			<table id="terminalTable" class="table table-striped table-bordered" style="width: 100%;">
				<thead>
					<tr>
						<td>企業コード</td>
						<td>店舗ID</td>
						<td>MTID</td>
						<td>クレジットTID</td>
						<td>機種名</td>
						<td>接続POS</td>
						<td>利用サービス</td>
						<td>連携コメント</td>
						<td></td>
					</tr>
				</thead>
			</table>
		</div>
	</div>

</body>

<!-- ------------------------------------------------ -->
<!-- 			MY SCRIPT TO LOAD DATATABLES		  -->
<!-- ------------------------------------------------ -->
<script th:inline="none">
	var terminalTable;
	
	$(document).ready(function () {
		terminalTable = $("#terminalTable").DataTable ({
			"processing": true,
			"sAjaxSource": "/terminal/getAll",
			"sAjaxDataProp": "",
			"aoColumns": [
				{	
					"mData": "clientCode"		
				},
				{	
					"mData": "shopId"		
				},
				{	
					"mData": "mtid"		
				},
				{	
					"mData": "creditTid"	
				},
				{	
					"mData": "terminalModel"		
				},
				{	
					"mData": "posModel"		
				},
				{	
					"mData": "services"	
				},
				{	
					"mData": "message"		
				},
				{	
					data: null,
					className: "center",
					defaultContent: '<a style="text-decoration: none; " class="editor_edit" ><button class="btn btn-primary" style="margin-bottom: 5px;">   編集   </button></a> <a style="text-decoration: none; " class="editor_remove" > <button class="btn btn-primary">   削除   </button> </a>'
				},
			],
			select: true,
			scrollX: true,
			scrollY: true,
			autoWidth: true,
			searching: false,
			lengthChange: false 
		});
		
		/*****************************************************/
		/**				MY SCRIPT TO SEARCH IN TABLE 		**/
		/*****************************************************/
		$('#btn-search').on('click', function (e) {
			var data = {
				'clientCode': $("#clientCode").val(),
				'shopId': $("#shopId").val(),
				'mtid': $("#mtid").val(),
				'creditTid': $("#creditTid").val(),
				'status': $("#status").val(),
				'terminalModel': $("#terminalModel").val(),
				'posModel': $("#posModel").val(),
				'service': $("#service").val()
			};
			
			$.ajax({
				url: window.location.origin + '/terminal/search',
				type: 'get',
				data: data,
				success: function (data) {
					terminalTable.clear().rows.add(data).draw();
				}
			});
		});
		
		/*****************************************************/
		/**				MY SCRIPT TO DELETE IN TABLE 		**/
		/*****************************************************/
		$('#terminalTable').on('click', '.editor_remove', function () {
			var selectedRow = terminalTable.row($(this).closest('tr'));
			var data = selectedRow.data();
			
			// CONFIRM
			var confm = confirm ("”削除しますか。”という確認メッセージを表示しまして");
			
			if (confm) {
			
				$.ajax({
					url: window.location.origin + '/terminal/delete',
					type: 'post',
					data: { 'id': data['id'] },
					success: function (data) {
						selectedRow.remove().draw();
						location.reload();
						console.log("Delete sc!");
					}
				});
			}
		});
		
		/*****************************************************/
		/**				MY SCRIPT TO ADD IN TABLE 			**/
		/*****************************************************/
		$('#btn-add').on('click', function (e) {
			location.href = "/terminal/view-add";
		});
		
		/*****************************************************/
		/**				MY SCRIPT TO EDIT IN TABLE	 		**/
		/*****************************************************/
		$('#terminalTable').on('click', '.editor_edit', function () {
			var selectedRow = terminalTable.row($(this).closest('tr'));
			var data = selectedRow.data();
				
			$.ajax({
				url: window.location.origin + '/terminal/view-update',
				type: 'post',
				contentType: 'application/json',
				data: JSON.stringify(data),
				success: function (data) {
					console.log("Open first window editor!");
					location.href = '/terminal/view-update-2';
				}
			});
		});
		
	});
</script>
</html>